/*
 * @author lsy
 * @date   2019-09-04
 **/
import 'package:gmalpha_flutter/userModel/service/remote/entity/TestUserEntity.dart';
import 'package:gmalpha_flutter/userModel/service/remote/entity/UserEntity.dart';

class UserLocal {
  static UserLocal _userRemote;

  UserLocal._() {}

  static UserLocal getInstance() {
    if (_userRemote == null) {
      _userRemote = new UserLocal._();
    }
    return _userRemote;
  }

  void saveUserInfo(UserEntity value) {
    //TODO
  }

  void saveUser(TestUserEntity value) {
    //TODO
  }

  void logout() {
    //TODO
  }
}
